Description

La documentacion del metodo
void setPoints (Point center, double radius, double startAngle, double endAngle );

del interface Arc es incorrecta. El ultimo parametro no es endAngle si no angleExt.

El valor de angleExt se esta calculando en el metodo estico UtilFunctions.angleDistance,
apartir de startAngle y endAngle, y luego se le pasa el metodo setPoints.

Estaria bien hacer un setPoints que reciviera startAngle y endAngle y que calculase
el AngleExt. La idea seria anadir los metodos:

void setPointsStartEnd (Point center, double radius, double startAngle, double endAngle );
void setPointsStartExt (Point center, double radius, double startAngle, double angleExt );

Y en la implementacion de:

void setPoints (Point center, double radius, double startAngle, double angleExt );

Hacer que delegue en el que toca que es setPointsStartExt, dejando la doc del APl como
corresponda.

History

#1 - 05/10/2012 02:55 PM - Manuel Madrid
- Assignee set to Victor Acevedo
- Target version set to 2.0.0-rc1

#2 - 08/22/2012 11:27 AM - Joaquin del Cerro Murciano
- Assignee changed from Victor Acevedo to Juan Lucas Dominguez

#3 - 08/22/2012 01:14 PM - Juan Lucas Dominguez

- Status changed from New to In progress

#4 - 08/23/2012 12:50 PM - Juan Lucas Dominguez
- Status changed from In progress to Fixed
gvsig-desktop:r38786

Added methods in Arc interface and implementation with explicit names for setting points:

void setPointsStartEnd (Point center, double radius, double startAngle, double endAngle );
void setPointsStartExt (Point center, double radius, double startAngle, double angleExt );

Also some unit tests. Old method still available.

#5 - 08/30/2012 02:15 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#6 - 10/10/2012 02:03 PM - Maria Maluenda

- Status changed from Fixed to Under review

Need instructions in order to check the bugfix

#7 - 10/10/2012 02:47 PM - Juan Lucas Dominguez
- Status changed from Under review to New
- Target version changed from 2.0.0-devel-2052 to 2.0.0-rc1

#8 - 10/10/2012 02:50 PM - Juan Lucas Dominguez
- Status changed from New to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-betat

Sorry | forgot instructions.

You can test it with betal also:

- Create view, add a SHP of lines, start editing mode

- Add an ARC and move its handlers to modify it

- If everything is OK, you can close this bug because the code to manage arcs has changed.

#9 - 11/19/2012 12:34 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Closed in build 2058
